#
# spec file for package ps (Version 2001.9.19)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         ps
%define procps_ver 2.0.7
%define procps_old 1.2.11
%define procinfver 18
%define psmisc_ver 20.1
%define xcpust_ver 2.5
Copyright:    GPL
Group:        Applications/System
Autoreqprov:  on
Version:      2001.9.19
Release:      4
Summary:      ps utils for /proc
Source:  procinfo-%{procinfver}.tar.bz2
Source1: procps-%{procps_ver}.tar.bz2
Source2: procps-%{procps_old}.tar.bz2
Source3: psmisc-%{psmisc_ver}.tar.bz2
Source4: xcpustate-%{xcpust_ver}.tar.bz2
Patch:   procinfo-%{procinfver}.dif
Patch1:  procps-%{procps_ver}.dif
Patch2:  procps-%{procps_old}.dif
Patch3:  psmisc-%{psmisc_ver}.dif
Patch4:  xcpustate-%{xcpust_ver}.dif
Patch5:  procps-2.0.7-bigbuff.patch
Patch6:  procps-2.0.7-biguid.patch
Patch7:  procps-2.0.7-retcode.patch
Patch8:  procps-2.0.7-sysctl-error.patch

%description
Utilities for displaying process and memory information.
Also includes Steve "Mr. Bassman" Bryant's enhanced 'w'.

Authors:
--------
    Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>
    Charles L. Blake <cblake@bbn.com>
    Michael K. Johnson <johnsonm@merengue.oit.unc.edu>
    Werner Almesberger <almesber@di.epfl.ch>
    Branko Lankester <branko@hacktic.nl>
    Robert Nation <nation@rocket.sanders.lockheed.com>
    David Engel
    Larry Greenfield <greenfie@gauss.rutgers.edu>
    Roger Binns
    Brian Edmonds
    Steve "Mr. Bassman" Bryant <bassman@muttley.soc.staffs.ac.uk>

SuSE series: a

%package      -n xcpustate
Requires:     ps
Obsoletes:    ps:/usr/X11R6/bin/xcpustate
Summary:      ps utils for /proc using X11
Group:        Applications/System
Autoreqprov:  on

%description  -n xcpustate
Utilities for displaying process and memory information using X11.

Authors:
--------
    Robert Nation <nation@rocket.sanders.lockheed.com>
    John DiMarco <jdd@cs.toronto.edu>

SuSE series: xap

%prep
rm -rf procps-%{procps_ver} procps-%{procps_old} psmisc-%{psmisc_ver} xcpustate-%{xcpust_ver}
%setup -n procinfo-%{procinfver} -b 1 -b 2 -b 3 -b 4
%patch
cd ../procps-%{procps_ver}
%patch -P 5 -p1 -b .bigbuff
%patch -P 6 -p1 -b .biguid
%patch -P 7 -p1 -b .retcode
%patch -P 8 -p1 -b .sysctl
%patch -P 1
cd ../procps-%{procps_old}
%patch -P 2
cd ../psmisc-%{psmisc_ver}
%patch -P 3
cd ../xcpustate-%{xcpust_ver}
%patch -P 4

%build
CFLAGS="-Wall -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 ${RPM_OPT_FLAGS} -pipe"
CC=gcc
export CFLAGS CC
make
cd ../procps-%{procps_ver}
make
cd ../procps-%{procps_old}
{
  cd xproc || exit 1
  xmkmf -a || exit 1
  make     || exit 1
  cd ..
}
make -C proc
cd ../psmisc-%{psmisc_ver}
sh ./configure i386-suse-linux --prefix=/usr --mandir=/usr/share/man
make CFLAGS="$CFLAGS" CC=$CC
cd ../xcpustate-%{xcpust_ver}
xmkmf -a
ln -sf ../procps-%{procps_old}/proc/libproc.a .
make

%install
mkdir -p %{_defaultdocdir}/ps
install -m 0644 README %{_defaultdocdir}/ps/README.procinfo
make install
cd ../procps-%{procps_ver}
make install
install -m 0644 NEWS   %{_defaultdocdir}/ps/NEWS.procps
cd ../procps-%{procps_old}
install -s -m 0755 xproc/XConsole     /usr/X11R6/bin/
install    -m 0755 xproc/XConsole.man /usr/X11R6/man/man1/XConsole.1x
cd ../psmisc-%{psmisc_ver}
make install
mv /usr/bin/fuser /bin/
install -m 0644 README  %{_defaultdocdir}/ps/README.psmisc
cd ../xcpustate-%{xcpust_ver}
make install
make install.man
install -m 0644 README  %{_defaultdocdir}/ps/README.xcpustate

%files
# %config(noreplace) %attr(640,root,root) /etc/sysctl.conf
/bin/fuser
/bin/ps
/sbin/sysctl
/usr/bin/free
/usr/bin/killall
/usr/bin/lsdev
/usr/bin/pgrep
/usr/bin/pkill
/usr/bin/procinfo
/usr/bin/pstree
/usr/bin/skill
/usr/bin/snice
/usr/bin/socklist
/usr/bin/tload
/usr/bin/top
/usr/bin/uptime
/usr/bin/vmstat
/usr/bin/w
/usr/bin/watch
%doc %{_defaultdocdir}/ps/
%doc /usr/share/man/man1/free.1.gz
%doc /usr/share/man/man1/fuser.1.gz
%doc /usr/share/man/man1/killall.1.gz
%doc /usr/share/man/man1/pgrep.1.gz
%doc /usr/share/man/man1/pkill.1.gz
%doc /usr/share/man/man1/ps.1.gz
%doc /usr/share/man/man1/pstree.1.gz
%doc /usr/share/man/man1/skill.1.gz
%doc /usr/share/man/man1/snice.1.gz
%doc /usr/share/man/man1/tload.1.gz
%doc /usr/share/man/man1/top.1.gz
%doc /usr/share/man/man1/uptime.1.gz
%doc /usr/share/man/man1/w.1.gz
%doc /usr/share/man/man1/watch.1.gz
%doc /usr/share/man/man5/sysctl.conf.5.gz
%doc /usr/share/man/man8/lsdev.8.gz
%doc /usr/share/man/man8/procinfo.8.gz
%doc /usr/share/man/man8/vmstat.8.gz
%doc /usr/share/man/man8/sysctl.8.gz

%files -n xcpustate
/usr/X11R6/bin/XConsole
/usr/X11R6/bin/xcpustate
%doc /usr/X11R6/man/man1/xcpustate.1x.gz
%doc /usr/X11R6/man/man1/XConsole.1x.gz

%changelog -n ps
* Mon Sep 17 2001 - werner@suse.de
- Fix lsdev from procinfo
- Use the correct type for uptime integers (procinfo)
* Tue Sep 04 2001 - werner@suse.de
- Move fuser from /usr/bin/ to /bin/
* Tue Sep 04 2001 - werner@suse.de
- Fix bug #9797: update to psmisc-20.1
- Update procinfo to procinfo-18
- Add bigbuff, retcode, sysctl-error, and biguid patch frm RH
  (last one should fix bug #9933)
* Tue Apr 24 2001 - werner@suse.de
- Package split (#7078)
* Fri Apr 20 2001 - werner@suse.de
- tty in proc's stat is an int
* Thu Mar 29 2001 - ro@suse.de
- initialize page_size before first use
* Wed Mar 28 2001 - schwab@suse.de
- Kill improper use of PAGE_SIZE.
* Tue Mar 27 2001 - werner@suse.de
- Make it work again
- Make w know about locale
* Tue Mar 13 2001 - schwab@suse.de
- Use getpagesize instead of PAGE_SHIFT.
- Don't compile with -fwritable-strings.
* Mon Mar 12 2001 - werner@suse.de
- Skip oldps
* Fri Mar 09 2001 - werner@suse.de
- Make it run on a IA64
* Mon Feb 19 2001 - werner@suse.de
- Make program watch recognize locale environment (bug#6395)
* Thu Jan 25 2001 - werner@suse.de
- Make `fuser -s -k' work (bug#6143)
* Mon Jan 22 2001 - werner@suse.de
- Avoid segfaults on mmap'ed buffer by adding '\0'
* Wed Jan 10 2001 - werner@suse.de
- Fix format handling (bug#5386)
* Wed Dec 20 2000 - werner@suse.de
- Reset locale during sscanf calls to POSIX
* Tue Dec 19 2000 - werner@suse.de
- Use %%llu for input (sscanf) and output (printf) format of
  unsigned long long (free.c, top.c, and sysinfo.c).
* Wed Dec 13 2000 - werner@suse.de
- Update to procps 2.0.7: now SMP should be visible in top
- Remove sessreg from file list
- Add pgrep and pkill to file list
* Mon Dec 04 2000 - ro@suse.de
- don't try to strip man-pages
* Wed Nov 22 2000 - uli@suse.de
- fixed to build on PPC
* Fri Nov 17 2000 - ro@suse.de
- compile-fix for old sessreg (glibc/X11 clash atexit)
* Sat May 27 2000 - kukuk@suse.de
- Add Group tag
- Use docdir macro
* Mon May 08 2000 - ro@suse.de
- procinfo fixed for smp/alpha
* Mon Feb 28 2000 - werner@suse.de
- Install some docus (closes bug #1509)
* Fri Feb 25 2000 - kukuk@suse.de
- Fix problem that glibc and ncurses uses the same define for
  different things.
* Thu Feb 24 2000 - schwab@suse.de
- procps: fix scanf format string
* Fri Feb 04 2000 - kasal@suse.cz
- remove smp_num_cpus -- it's done in 2.0.6
* Wed Jan 19 2000 - ro@suse.de
- usr/man -> usr/share/man
* Wed Jan 19 2000 - kasal@suse.de
- fixed "ps u" -- ie. fixed read_total_main()
* Mon Dec 06 1999 - werner@suse.de
- Argh: fix Makefile to install sysctl.conf.5 man page
* Mon Dec 06 1999 - werner@suse.de
- Install sysctl tool of procps 2.0.6
* Fri Dec 03 1999 - kasal@suse.de
- upgraded procps to 2.0.6, to get the package compiled on sparc
* Wed Nov 24 1999 - kettner@suse.de
- fixed bug in procinfo on AXP
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - werner@suse.de
- Avoid SEGV if /proc isn't mounted (e.g. in single user mode)
* Tue Sep 07 1999 - werner@suse.de
- Fix some maunal page (missed tbl mark, some nasty .TH's)
* Wed Aug 18 1999 - werner@suse.de
- Update procinfo (ver 17), procps (ver 2.0.2) but hold
  ver 1.2.11 (sessreg, XConsole, libproc for xcpustate),
  update psmisc (ver 18)
- Patch procps 2.0.2 with debian diff and make ps
  usable again (select bits should be 0x0a0a to see
  all ttys if ps is called).
* Wed Apr 14 1999 - bk@suse.de
- updated procinfo patckage from version 15 to 16
  * annoying interrupt warning("recompile me!") is gone
  * display on SMP has been fixed
* Tue Apr 06 1999 - bk@suse.de
- update to procps-1.2.11
- fixed segfault in /usr/bin/w
* Mon Mar 22 1999 - florian@suse.de
- update to procps-1.2.10
* Fri Oct 30 1998 - ro@suse.de
- update to procinfo-15 and procps-1.2.9
- extra source for xcpustate-2.5 (no more in procps)
- patched xcpustate to display mem,swap,net for linux
* Thu May 07 1998 - florian@suse.de
- add "-g" option to killall to kill a complete process group
- update to procps 1.2.7
- update to procinfo 13
* Fri Mar 13 1998 - bs@suse.de
- switched version to `date` (problem with version for update).
* Mon Mar 02 1998 - florian@suse.de
- update to psmisc 17
- update to procps 1.2.6
- update to procinfo 12
* Fri Oct 17 1997 - ro@suse.de
- ready for autobuild
* Sat Jul 05 1997 - florian@suse.de
- updated to 1.12.2 again (with fixes)
- fix output of free
- top with wrong options won't destroy the display
- XConsole is not suid-root anymore as "xconsole" can be used without
  being suid root
* Mon Jun 30 1997 - bs@suse.de
- switched back to version 1.11.6
* Sun Jun 22 1997 - florian@suse.de
- update to version 1.12.2
- add procinfo 0.11
* Tue May 20 1997 - florian@suse.de
- update to version 1.11.6
* Sun Apr 13 1997 - florian@suse.de
- update to new version 1.11.3
- update to psmisc 12a
* Wed Jan 22 1997 - florian@suse.de
- update to version 1.11.1
* Thu Jan 02 1997 - florian@suse.de
  new version 1.01
  'top' is completely new
  people might get a much faster 'ps', if they delete '/etc/psdevtab'
  and call 'ps' as root...
